Package org.apache.tools.ant.taskdefs

# Class Get.NullProgress

java.lang.Object
org.apache.tools.ant.taskdefs.Get.NullProgress

All Implemented Interfaces:
  `Get.DownloadProgress`

Enclosing class:
  `Get`

public static class Get.NullProgress extends Object implements Get.DownloadProgress
do nothing with progress info

## Constructor Summary

Constructors
Constructor
Description
`NullProgress()`

## Method Summary

Modifier and Type
Method
Description
`void`
`beginDownload()`
begin a download
`void`
`endDownload()`
end a download
`void`
`onTick()`
tick handler

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullProgress

public NullProgress()

## Method Details

### beginDownload

public void beginDownload()
begin a download

Specified by:
  `beginDownload` in interface `Get.DownloadProgress`

### onTick

public void onTick()
tick handler

Specified by:
  `onTick` in interface `Get.DownloadProgress`

### endDownload

public void endDownload()
end a download

Specified by:
  `endDownload` in interface `Get.DownloadProgress`